Bug 1276318 - libkio.so.5: undefined symbol: _ZN6Strigi14AnalysisResultC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEElRNS_11IndexWriterERNS_14StreamAnalyzerES8_
libkio.so.5: undefined symbol: _ZN6Strigi14AnalysisResultC1ERKNSt7__cxx1112ba...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 1276936 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 08:47 EDT by Miroslav Suchý
Modified: 2016-12-20 10:14 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:14:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2015-10-29 08:47:52 EDT
Description of problem:

Konqueror wont start at all.

$ konqueror 
konqueror: symbol lookup error: /lib64/libkio.so.5: undefined symbol: _ZN6Strigi14AnalysisResultC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEElRNS_11IndexWriterERNS_14StreamAnalyzerES8_


Version-Release number of selected component (if applicable):
konqueror-15.08.1-1.fc23.x86_64
Comment 1 Rex Dieter 2015-10-29 08:53:33 EDT
rpm -q soprano strigi-libs

?
Comment 2 Rex Dieter 2015-10-29 08:54:49 EDT
while we're at it...

ldd -r /lib64/libkio.so.5
Comment 3 Miroslav Suchý 2015-10-29 10:10:11 EDT
$ rpm -q soprano strigi-libs
soprano-2.9.4-8.fc23.x86_64
strigi-libs-0.7.8-7.fc22.x86_64


$ ldd -r /lib64/libkio.so.5
        linux-vdso.so.1 (0x00007ffcaf1ca000)
        libnepomukutils.so.4 => /lib64/libnepomukutils.so.4 (0x00007f574fa26000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f574f810000)
        libQtNetwork.so.4 => /lib64/libQtNetwork.so.4 (0x00007f574f4bb000)
        libQtXml.so.4 => /lib64/libQtXml.so.4 (0x00007f574f274000)
        libQtSvg.so.4 => /lib64/libQtSvg.so.4 (0x00007f574f019000)
        libSM.so.6 => /lib64/libSM.so.6 (0x00007f574ee0f000)
        libICE.so.6 => /lib64/libICE.so.6 (0x00007f574ebf3000)
        libX11.so.6 => /lib64/libX11.so.6 (0x00007f574e8b3000)
        libXext.so.6 => /lib64/libXext.so.6 (0x00007f574e6a0000)
        libXft.so.2 => /lib64/libXft.so.2 (0x00007f574e489000)
        libXau.so.6 => /lib64/libXau.so.6 (0x00007f574e285000)
        libXpm.so.4 => /lib64/libXpm.so.4 (0x00007f574e072000)
        libstreamanalyzer.so.0 => /lib64/libstreamanalyzer.so.0 (0x00007f574ddee000)
        libstreams.so.0 => /lib64/libstreams.so.0 (0x00007f574dbb3000)
        libsolid.so.4 => /lib64/libsolid.so.4 (0x00007f574d89b000)
        libQtGui.so.4 => /lib64/libQtGui.so.4 (0x00007f574cb62000)
        libacl.so.1 => /lib64/libacl.so.1 (0x00007f574c959000)
        libattr.so.1 => /lib64/libattr.so.1 (0x00007f574c752000)
        libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f574c547000)
        libnepomukquery.so.4 => /lib64/libnepomukquery.so.4 (0x00007f574c2fa000)
        libnepomuk.so.4 => /lib64/libnepomuk.so.4 (0x00007f574c020000)
        libkdeui.so.5 => /lib64/libkdeui.so.5 (0x00007f574b980000)
        libsoprano.so.4 => /lib64/libsoprano.so.4 (0x00007f574b692000)
        libkdecore.so.5 => /lib64/libkdecore.so.5 (0x00007f574b19a000)
        libQtDBus.so.4 => /lib64/libQtDBus.so.4 (0x00007f574af13000)
        libQtCore.so.4 => /lib64/libQtCore.so.4 (0x00007f574aa0c000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f574a7ee000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f574a46c000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f574a16a000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f5749da8000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f5749b91000)
        libssl.so.10 => /lib64/libssl.so.10 (0x00007f5749918000)
        libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007f57494ca000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f57492c5000)
        libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f57490a2000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f5748e9e000)
        libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f5748c5a000)
        libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f57489af000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f574879f000)
        libxml2.so.2 => /lib64/libxml2.so.2 (0x00007f5748439000)
        libHUpnp.so.1 => /lib64/libHUpnp.so.1 (0x00007f5748118000)
        libudev.so.1 => /lib64/libudev.so.1 (0x00007f57480f7000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f5747ef5000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f5747bbb000)
        libpng16.so.16 => /lib64/libpng16.so.16 (0x00007f5747988000)
        libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f5747736000)
        libXi.so.6 => /lib64/libXi.so.6 (0x00007f5747525000)
        libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f574731a000)
        libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f5747114000)
        libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f5746f08000)
        libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f5746d05000)
        libsopranoclient.so.1 => /lib64/libsopranoclient.so.1 (0x00007f5746ab5000)
        libqca.so.2 => /lib64/libqca.so.2 (0x00007f574679e000)
        libattica.so.0.4 => /lib64/libattica.so.0.4 (0x00007f57464ca000)
        libdbusmenu-qt.so.2 => /lib64/libdbusmenu-qt.so.2 (0x00007f5746295000)
        libXtst.so.6 => /lib64/libXtst.so.6 (0x00007f574608f000)
        liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f5745e68000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f5745c4d000)
        libfam.so.0 => /lib64/libfam.so.0 (0x00007f5745a44000)
        libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f57457f3000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f57455eb000)
        /lib64/ld-linux-x86-64.so.2 (0x00005640f3887000)
        libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f574539e000)
        libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f57450b9000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f5744eb5000)
        libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f5744c82000)
        libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f5744a58000)
        libqtsoap.so.2 => /lib64/libqtsoap.so.2 (0x00007f574482f000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f574460c000)
        libdw.so.1 => /lib64/libdw.so.1 (0x00007f57443c3000)
        libcap.so.2 => /lib64/libcap.so.2 (0x00007f57441bd000)
        libffi.so.6 => /lib64/libffi.so.6 (0x00007f5743fb5000)
        libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007f5743f2c000)
        libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f5743d1d000)
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f5743b19000)
        libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f57438a8000)
        libelf.so.1 => /lib64/libelf.so.1 (0x00007f5743692000)
        libgcrypt.so.20 => /lib64/libgcrypt.so.20 (0x00007f57433ac000)
        libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f5743199000)
undefined symbol: _ZN6Strigi14AnalysisResultC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEElRNS_11IndexWriterERNS_14StreamAnalyzerES8_        (/lib64/libkio.so.5)
Comment 4 Miroslav Suchý 2015-10-29 10:12:44 EDT
Hmm and strigi-libs are from F22 because:

# dnf upgrade --enablerepo=updates-testing strigi-libs --best
Last metadata expiration check performed 1:54:58 ago on Thu Oct 29 13:16:45 2015.
Chyba: package boost-1.57.0-6.fc22.x86_64 requires boost-program-options(x86-64) = 1.57.0-6.fc22, but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)
Comment 5 Miroslav Suchý 2015-10-29 10:44:51 EDT
And when I do:

[root@dri//home/msuchy/Dropbox]# dnf upgrade --enablerepo=updates-testing strigi-libs --best boost
Last metadata expiration check performed 1:58:42 ago on Thu Oct 29 13:16:45 2015.
Chyba: package dyninst-8.2.1-2.fc22.x86_64 requires libboost_system.so.1.57.0()(64bit), but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)


So I had to do:
dnf upgrade --enablerepo=updates-testing strigi-libs --best --allowerasing

which result in:
Last metadata expiration check performed 1:59:29 ago on Thu Oct 29 13:16:45 2015.
Závislosti vyřešeny.
==================================================================================================================================================================================================
 Balíček                                                       Arch                        Verze                                                      Repozitář                              Vel.
==================================================================================================================================================================================================
Instalování:
 git-core                                                      x86_64                      2.5.0-1.fc23                                               fedora                                3.0 M
 ...
 [SNIP]
2:7.4.827-1.fc23                                           updates-testing                       6.0 M
 vim-enhanced                                                  x86_64                      2:7.4.827-1.fc23                                           updates-testing                       1.1 M
 w3m                                                           x86_64                      0.5.3-22.fc23                                              fedora                                935 k
Odstraňuje se:
 eclipse-systemtap                                             noarch                      4.1.0-2.fc23                                               @updates-testing                      4.9 M
 perl-Sys-Guestfs                                              x86_64                      1:1.30.3-1.fc22                                            @updates-testing                      1.2 M
 systemtap                                                     x86_64                      2.9-1.fc22                                                 @updates-testing                       30 k
 systemtap-client                                              x86_64                      2.9-1.fc22                                                 @updates-testing                      9.9 M

Shrnutí transakce
==================================================================================================================================================================================================
Instalovat    16 Packages
Aktualizace  521 Packages
Odstranit      4 Packages

And when I proceed and then

# dnf install systemtap --best
Last metadata expiration check performed 2:23:09 ago on Thu Oct 29 13:16:45 2015.
Balíček systemtap-2.9-1.fc22.x86_64 už je nainstalován, přeskakuji.
Chyba: package systemtap-2.9-1.fc23.x86_64 requires systemtap-client = 2.9-1.fc23, but none of the providers can be installed

This is something crazy in libsatsolv....

Anywayt to stay on topic of this BZ I think it would be enough to require correct version of strigi-libs.
Comment 6 Rex Dieter 2015-10-29 11:01:04 EDT
So, you missed out getting the newest strigi-libs package from the f23 mass rebuild.

You *should* have strigi-libs-0.7.8-11.fc23

what happens if you try just:

dnf update strigi-libs

?
Comment 7 Rex Dieter 2015-10-29 11:02:14 EDT
I guess you kinda already did that in comment #4, so I'm out of ideas, we can agree your system will be broken until you can get the fixed/rebuilt packages though
Comment 8 Miroslav Suchý 2015-10-29 12:26:29 EDT
Well the upgrades are mess (right now I'm hitting https://fedorahosted.org/rel-eng/ticket/6285 ) so you should not assume that user have clean F23 installation but they are upgrading from F22 and DNF can choose different upgrade path.
DNF would refuse if it had correct requires.

So I assume that correct solution is to put in kde-baseapps.spec

Requires: strigi-libs >=0.7.8-11

because that is what you actually require in runtime and because strigi-libs-0.7.8-7 obviously does not work with recent kde-baseapps.

> your system will be broken

Well I fixed my system, so I'm merely trying to clean the pathway for the mortals who will be upgrading Fedoras next week.
Comment 9 Rex Dieter 2015-10-29 12:29:03 EDT
While I can understand the pain you're in, suggesting that packages add

Requires: foo >= version_from_last_mass_rebuild

to workaround it is not practical
Comment 10 Rex Dieter 2015-10-29 12:29:55 EDT
Too bad gcc/g++ couldn't have added some symbol versioning or something to enforce this distro-wide
Comment 11 Rex Dieter 2015-10-29 12:32:22 EDT
Updating summary/component (kdelibs, owner of libkio.so.5)
Comment 12 Rex Dieter 2015-11-01 10:01:46 EST
*** Bug 1276936 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2016-11-24 07:58:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:14:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.